Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Sixt <j6t@kdbg.org>2009-02-28 00:20:57 +0300
committerJohannes Sixt <j6t@kdbg.org>2009-03-22 19:26:44 +0300
commit872f349e7b119fcef7306f5dd7e4492ee3598318 (patch)
tree9e9ae49455befd3ac15a2d80079d8d494c86f10f /t/t6031-merge-recursive.sh
parent56e78bfb299207213ff170238c34a1dc8fa67c09 (diff)
Skip tests that fail if the executable bit is not handled by the filesystem
Signed-off-by: Johannes Sixt <j6t@kdbg.org>
Diffstat (limited to 't/t6031-merge-recursive.sh')
-rwxr-xr-xt/t6031-merge-recursive.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/t/t6031-merge-recursive.sh b/t/t6031-merge-recursive.sh
index 41c6860be2..8a3304fb0b 100755
--- a/t/t6031-merge-recursive.sh
+++ b/t/t6031-merge-recursive.sh
@@ -3,6 +3,11 @@
test_description='merge-recursive: handle file mode'
. ./test-lib.sh
+if ! test "$(git config --bool core.filemode)" = false
+then
+ test_set_prereq FILEMODE
+fi
+
test_expect_success 'mode change in one branch: keep changed version' '
: >file1 &&
git add file1 &&
@@ -16,6 +21,10 @@ test_expect_success 'mode change in one branch: keep changed version' '
git commit -m b1 &&
git checkout a1 &&
git merge-recursive master -- a1 b1 &&
+ git ls-files -s file1 | grep ^100755
+'
+
+test_expect_success FILEMODE 'verify executable bit on file' '
test -x file1
'
@@ -41,6 +50,10 @@ test_expect_success 'mode change in both branches: expect conflict' '
echo "100644 $H 3 file2"
) >expect &&
test_cmp actual expect &&
+ git ls-files -s file2 | grep ^100755
+'
+
+test_expect_success FILEMODE 'verify executable bit on file' '
test -x file2
'